# $Revision: 1.49 $, $Date: 2004/08/18 19:57:02 $
Summary:	Secure finger daemon
Summary(pl):	Bezpieczny serwer finger
Name:		ffingerd
Version:	1.28
Release:	9
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.fu-berlin.de/pub/unix/security/ffingerd/%{name}-%{version}.tar.bz2
# Source0-md5:	90e2ebbe8f299e12b4c5da401c0b71b1
Source1:	%{name}.inetd
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-gethostbyaddr_is_in_libc_aka_no_libnsl.patch
Patch2:		%{name}-SA_LEN.patch
URL:		http://www.fefe.de/ffingerd/
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	inetdaemon
Prereq:		rc-inetd >= 0.8.1
Provides:	fingerd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	bsd-fingerd
Obsoletes:	finger-server
Obsoletes:	cfingerd
Obsoletes:	efingerd

%description
The ffingerd program is a drop-in replacement for the standard fingerd
daemon. Ffingerd is invoked by inetd and it runs as nobody. Ffingerd
does not allow global finger queries (finger @host), indirect finger
queries (finger foo@host.a@host.b), it does not give away valuable
information like the shell, login directory and time of last login,
and users can put a ".nofinger" file in their homes and then ffingerd
will respond with "That user does not want to be fingered".

%description -l pl
Program ffingerd jest zamiennikiem dla standardowego demona fingerd.
Jest uruchamiany przez inetd i pracuje jako uytkownik nobody.
Ffingerd nie pozwala na zapytania globalne (finger @host), zapytania
porednie (finger foo@host.a@host.b), nie wywietla informacji o
powoce uytkownika, jego katalogu domowym i czasie ostatniego
zalogowania. Umoliwia uytkownikom stworzenie w katalogu domowym
pliku ".nofinger".

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	CFLAGS="%{rpmcflags} -D__ss_family=ss_family" \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/fingerd

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS TODO
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) /etc/sysconfig/rc-inetd/fingerd

%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ffingerd.spec,v $
Revision 1.49  2004/08/18 19:57:02  undefine
- release 9

Revision 1.48  2003/12/29 14:58:58  undefine
- release 8 to rebuild with ac

Revision 1.47  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.46  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.45  2003/05/25 05:47:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.43  2002/10/04 08:11:52  kloczek
- release 7: use new %doc.

Revision 1.42  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/04/25 16:17:45  arturs
fixed a small typo

Revision 1.40  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.39  2002/01/18 02:12:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.38  2001/08/14 18:15:05  blues
- release 6
- SA_LEN patch - tnx misiek :)
- ac 2.5 ready

Revision 1.37  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.36  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.34  2001/01/19 19:57:11  kloczek
- fix in %build (removed calling automake).

Revision 1.33  2001/01/19 18:32:30  kloczek
- release 5,
- added automake to BuildRequires,
- now package can be builded also in automake 1.4b enviroment.

Revision 1.32  2001/01/07 16:48:40  kloczek
- release 4: added efingerd to Obsoletes list.

Revision 1.31  2000/10/02 13:53:44  kloczek
- release 3: use rpm new automation suit.

Revision 1.30  2000/08/22 10:33:42  kloczek
- release 2,
- added gethostbyaddr_is_in_libc_aka_no_libnsl patch - this causes not
  linking with libnsl.

Revision 1.29  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.28  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.26  2000/05/03 20:24:37  kloczek
- updated to 1.28.

Revision 1.25  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.24  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.23  2000/03/23 03:42:43  kloczek
- add "automake -a ||" in %build for copy to source tree missing files.

Revision 1.22  2000/03/23 02:36:42  kloczek
- updated to 1.27.

Revision 1.21  2000/01/31 20:53:54  kloczek
- updated to 1.26,
- removed ipv6 patch (included in current version).

Revision 1.20  2000/01/20 14:39:10  kloczek
- release 5,
- install inet service description file as fingerd (this allow generate
  conflict if anyone can install ffingerd simultanously with other finger
  daemon).

Revision 1.19  2000/01/11 16:53:54  kloczek
- added URL.

Revision 1.18  2000/01/11 16:19:26  kloczek
- typo in Obsoletes (s/cfingeerd/cfingerd/).

Revision 1.17  2000/01/11 15:10:27  kloczek
- release 3,
- adapter(ized),
- added bsd-fingerd, finger-server, cfingeerd to Obsoletes.

Revision 1.16  1999/12/30 04:41:35  wiget
- new IPv6 patch by misiek

Revision 1.15  1999/12/20 09:33:56  misiek
- added IPv6 support

Revision 1.14  1999/11/12 00:57:15  kura

- fixed Group(pl)
- fixed pl translation

Revision 1.13  1999/10/14 22:59:16  kloczek
- release 2,
- fix: in %postun must be restart inet server (not stop).

Revision 1.12  1999/10/13 23:27:12  kloczek
- updated to 0.25,
- added %post, %postun sections with restarting on upgrade/install/remove
  ffingerd,
- Requires changed to Prereq for rc-inetd,
- fixed small bug in %install on installing service description file.

Revision 1.11  1999/10/11 07:02:36  waszi
- added rc-inetd support

Revision 1.10  1999/09/01 00:22:01  pius
- updated to 1.24

Revision 1.9  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 13 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.21-1]
- initial rpm release.
